API referansı İngilizce yayımlanır.

Create a tool trust rule from an action request

POST/api/companies/{companyId}/tools/action-requests/{actionRequestId}/trust-rule
Personal API keyConsole session
Veyra Docs TeamGüncellendi Sürüm 3 · Geçmiş

Create a tool trust rule from an action request.

Yetkilendirme

Send a personal API key as Authorization: Bearer <key>. It acts as you, with your permissions in each organization. Agent API keys are refused with 403. Anahtarlar nasıl çalışır.

Yol parametreleri

companyIdstringZorunluThe organization's id.
actionRequestIdstringZorunluThe actionrequest's id.

İstek gövdesi

application/json · zorunlu

argumentModestringİsteğe bağlıone of: "exact", "action"
namestringİsteğe bağlı1–160 characters
descriptionstring | nullİsteğe bağlıat most 4000 characters
priorityintegerİsteğe bağlı≥ 0≤ 10000
approvalThresholdintegerİsteğe bağlı≥ 1≤ 50
selectorsobjectİsteğe bağlı
selectors.actorTypestringİsteğe bağlıone of: "agent", "user", "system", "plugin"
selectors.agentIdstring (uuid)İsteğe bağlı
selectors.agentIdsarray<string (uuid)>İsteğe bağlı
selectors.projectIdstring (uuid)İsteğe bağlı
selectors.projectIdsarray<string (uuid)>İsteğe bağlı
selectors.routineIdstring (uuid)İsteğe bağlı
selectors.routineIdsarray<string (uuid)>İsteğe bağlı
selectors.issueIdstring (uuid)İsteğe bağlı
selectors.issueIdsarray<string (uuid)>İsteğe bağlı
selectors.gatewayIdstring (uuid)İsteğe bağlı
selectors.gatewayIdsarray<string (uuid)>İsteğe bağlı
selectors.gatewayPublicIdstringİsteğe bağlı1–120 characterspattern: ^[a-z0-9][a-z0-9._:-]*$
selectors.gatewayPublicIdsarray<string>İsteğe bağlıeach at most 120 characters
selectors.gatewayTokenIdstring (uuid)İsteğe bağlı
selectors.gatewayTokenIdsarray<string (uuid)>İsteğe bağlı
selectors.clientSubjectTypestringİsteğe bağlıone of: "gateway_client", "heartbeat_run", "board_user", "agent"
selectors.clientSubjectTypesarray<string>İsteğe bağlıitems one of: "gateway_client", "heartbeat_run", "board_user", "agent"
selectors.clientNamestringİsteğe bağlı1–160 characters
selectors.clientNamesarray<string>İsteğe bağlıeach at most 160 characters
selectors.externalClientbooleanİsteğe bağlı
selectors.applicationIdstring (uuid)İsteğe bağlı
selectors.applicationIdsarray<string (uuid)>İsteğe bağlı
selectors.connectionIdstring (uuid)İsteğe bağlı
selectors.connectionIdsarray<string (uuid)>İsteğe bağlı
selectors.catalogEntryIdstring (uuid)İsteğe bağlı
selectors.catalogEntryIdsarray<string (uuid)>İsteğe bağlı
selectors.toolNamestringİsteğe bağlı1–240 characters
selectors.toolNamesarray<string>İsteğe bağlıeach at most 240 characters
selectors.riskLevelstringİsteğe bağlıone of: "low", "medium", "high", "critical", "read", "write", "destructive"
selectors.riskLevelsarray<string>İsteğe bağlıitems one of: "low", "medium", "high", "critical", "read", "write", "destructive"
scopeobjectİsteğe bağlı
scope.includeAgentbooleanİsteğe bağlı
scope.includeProjectbooleanİsteğe bağlı
scope.includeIssuebooleanİsteğe bağlı
scope.includeApplicationbooleanİsteğe bağlı
scope.includeConnectionbooleanİsteğe bağlı
scope.includeCatalogEntrybooleanİsteğe bağlı
scope.includeToolbooleanİsteğe bağlı
argumentFiltersobjectİsteğe bağlı
argumentFilters.allowAnybooleanİsteğe bağlı
argumentFilters.exactHashstring | nullİsteğe bağlıpattern: ^[a-f0-9]{64}$
argumentFilters.allowedHashesarray<string>İsteğe bağlı
argumentFilters.fieldEqualsobjectİsteğe bağlı
argumentFilters.fieldNotEqualsobjectİsteğe bağlı
argumentFilters.fieldInobject<string, array<any>>İsteğe bağlı
argumentFilters.fieldMatchesobject<string, string>İsteğe bağlı
argumentFilters.fieldExistsarray<string>İsteğe bağlıeach at most 120 characters
argumentFilters.fieldAbsentarray<string>İsteğe bağlıeach at most 120 characters
expiresAtstring (date-time) | nullİsteğe bağlı
batchApprovalobject | nullİsteğe bağlı
batchApproval.enabledbooleanİsteğe bağlı
batchApproval.maxBatchSizeintegerİsteğe bağlı> 0≤ 100
batchApproval.windowSecondsintegerİsteğe bağlı> 0≤ 31536000

Yanıtlar

201SuccessCreated; the body holds the new resource.
400Bad requestThe request is malformed or failed validation. details names each field that failed.
401UnauthorizedNo key, or the key is unknown, revoked or expired.
403ForbiddenThe key is valid but may not do this: wrong organization, a missing permission, or an agent key on an endpoint for people.
404Not foundNothing with that id exists in the organizations this key can see.

Hatalar {"error": "..."} döndürür, çoğu zaman bir code ve details ile birlikte. Ayrıntılar için: hatalar ve limitler.

Connectors